Bug 1022144 - mysql-connector-java: remove versioned jars from %{_javadir}
mysql-connector-java: remove versioned jars from %{_javadir}
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mysql-connector-java (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Honza Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1022024 1023005
  Show dependency treegraph
 
Reported: 2013-10-22 11:50 EDT by Stanislav Ochotnicky
Modified: 2013-11-10 02:17 EST (History)
2 users (show)

See Also:
Fixed In Version: mysql-connector-java-5.1.26-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1023005 (view as bug list)
Environment:
Last Closed: 2013-11-10 02:17:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2013-10-22 11:50:15 EDT
Package mysql-connector-java seems to contain versioned jar files in %{_javadir}
(/usr/share/java). Such versioned files cause problems for automatic
requires generation and violate packaging guidelines[1].

List of subpackages and contained versioned jars
mysql-connector-java:
/usr/share/java/mysql-connector-java-5.1.24.jar


There are cases where this can be a false positive. Most likely if:
   * your package is compatibility version and contains only versioned
     jars
   * your package has version in the name of jars that are part of
     package name

Thank you,

[1] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 1 Fedora Update System 2013-10-24 08:28:53 EDT
mysql-connector-java-5.1.26-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mysql-connector-java-5.1.26-2.fc20
Comment 2 Fedora Update System 2013-10-24 13:46:20 EDT
Package mysql-connector-java-5.1.26-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mysql-connector-java-5.1.26-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19844/mysql-connector-java-5.1.26-2.fc20
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-11-10 02:17:01 EST
mysql-connector-java-5.1.26-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.